Package org.apache.sis.metadata.iso.identification

## Class DefaultAggregateInformation

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultAssociatedResource
        - - DefaultAggregateInformation

- All Implemented Interfaces:
    `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `AggregateInformation`

      public class DefaultAggregateInformation
      extends DefaultAssociatedResource
      implements AggregateInformation

  Associated resource information. The following properties are mandatory or conditional (i.e. mandatory under some circumstances) in a well-formed metadata according ISO 19115:
  `MD_AggregateInformation` `├─associationType…………` Type of relation between the resources. `├─metadataReference……` Reference to the metadata of the associated resource. `│ ├─title…………………………` Name by which the cited resource is known. `│ └─date……………………………` Reference date for the cited resource. `└─name………………………………………` Citation information about the associated resource.
  According ISO 19115, at least one of name and metadata reference shall be provided.
  Upcoming API change — renaming
  As of ISO 19115:2014, `AggregateInformation` has been renamed `AssociatedResource`. This class will be replaced by `DefaultAssociatedResource` when GeoAPI will provide the `AssociatedResource` interface (tentatively in GeoAPI 3.1 or 4.0).
  Limitations
  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ModifiableMetadata

      `ModifiableMetadata​.State`

  - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultAggregateInformation()` | Constructs an initially empty Aggregate dataset information.
    `DefaultAggregateInformation​(AggregateInformation object)` | Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DefaultAggregateInformation` | `castOrCopy​(AggregateInformation object)` | Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `Identifier` | `getAggregateDataSetIdentifier()` | Deprecated. As of ISO 19115:2014, replaced by the first identifier of `getAggregateDataSetName()`.
    `Citation` | `getAggregateDataSetName()` | Deprecated. As of ISO 19115:2014, replaced by `DefaultAssociatedResource​.getName()`.
    `void` | `setAggregateDataSetIdentifier​(Identifier newValue)` | Deprecated. As of ISO 19115:2014, replaced by an identifier of `getAggregateDataSetName()`.
    `void` | `setAggregateDataSetName​(Citation newValue)` | Deprecated. As of ISO 19115:2014, replaced by `DefaultAssociatedResource​.setName(Citation)`.

    - ### Methods inherited from class DefaultAssociatedResource

      `getAssociationType, getInitiativeType, getMetadataReference, getName, setAssociationType, setInitiativeType, setMetadataReference, setName`

    - ### Methods inherited from class ISOMetadata

      `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier, transitionTo`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, freeze, isModifiable, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, unmodifiable, writeCollection, writeList, writeMap, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface AggregateInformation

      `getAssociationType, getInitiativeType`

- - ### Constructor Detail

    - #### DefaultAggregateInformation

          public DefaultAggregateInformation()

      Constructs an initially empty Aggregate dataset information.

    - #### DefaultAggregateInformation

          public DefaultAggregateInformation​(AggregateInformation object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.

  - ### Method Detail

    - #### castOrCopy

          public static DefaultAggregateInformation castOrCopy​(AggregateInformation object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultAggregateInformation`, then it is returned unchanged.
      - Otherwise a new `DefaultAggregateInformation` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getAggregateDataSetName

          @Deprecated
          public Citation getAggregateDataSetName()

      Deprecated.
      As of ISO 19115:2014, replaced by `DefaultAssociatedResource​.getName()`.
      Citation information about the aggregate dataset.
      Specified by:
        `getAggregateDataSetName` in interface `AggregateInformation`
      Returns:
        citation information about the aggregate dataset, or `null`.

    - #### setAggregateDataSetName

          @Deprecated
          public void setAggregateDataSetName​(Citation newValue)

      Deprecated.
      As of ISO 19115:2014, replaced by `DefaultAssociatedResource​.setName(Citation)`.
      Sets the citation information about the aggregate dataset.
      Parameters:
        `newValue` - the new citation.

    - #### getAggregateDataSetIdentifier

          @Deprecated
          public Identifier getAggregateDataSetIdentifier()

      Deprecated.
      As of ISO 19115:2014, replaced by the first identifier of `getAggregateDataSetName()`.
      Identification information about aggregate dataset.
      Specified by:
        `getAggregateDataSetIdentifier` in interface `AggregateInformation`
      Returns:
        identification information about aggregate dataset, or `null`.

    - #### setAggregateDataSetIdentifier

          @Deprecated
          public void setAggregateDataSetIdentifier​(Identifier newValue)

      Deprecated.
      As of ISO 19115:2014, replaced by an identifier of `getAggregateDataSetName()`.
      Sets the identification information about aggregate dataset.
      Parameters:
        `newValue` - the new identifier.